class SimpleNet(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  features : __torch__.torch.nn.modules.container.Sequential
  classifier : __torch__.torch.nn.modules.linear.Linear
  def forward(self: __torch__.timm.models.simplenet.SimpleNet,
    x: Tensor) -> Tensor:
    classifier = self.classifier
    features = self.features
    _0 = (features).forward(x, )
    _1 = ops.prim.NumToTensor(torch.size(_0, 2))
    _2 = int(_1)
    _3 = ops.prim.NumToTensor(torch.size(_0, 3))
    input = torch.max_pool2d(_0, [_2, int(_3)], annotate(List[int], []), [0, 0], [1, 1])
    out = torch.feature_dropout(input, 0., False)
    _4 = ops.prim.NumToTensor(torch.size(out, 0))
    input0 = torch.view(out, [int(_4), -1])
    return (classifier).forward(input0, )
